package cn.iocoder.yudao.module.shop.entity;

import cn.iocoder.yudao.annotation.Excel;
import cn.iocoder.yudao.framework.tenant.core.db.TenantBaseDO;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.util.Date;

/**
 * 积分记录对象 shop_user_balance_changes
 *
 * @author ruoyi
 * @date 2023-07-09
 */
public class ShopUserBalanceChanges extends TenantBaseDO
{
    private static final long serialVersionUID = 1L;

    /** 积分记录id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    private String realName;

    /** 变动金额 */
    @Excel(name = "变动金额")
    private Long changeAmount;

    /** 变动类型 */
    @Excel(name = "变动类型")
    private String changeType;

    /** 变动原因 */
    @Excel(name = "变动原因")
    private String changeReason;

    /** 变动时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "变动时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date changeTime;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setChangeAmount(Long changeAmount)
    {
        this.changeAmount = changeAmount;
    }

    public Long getChangeAmount()
    {
        return changeAmount;
    }
    public void setChangeType(String changeType)
    {
        this.changeType = changeType;
    }

    public String getChangeType()
    {
        return changeType;
    }
    public void setChangeReason(String changeReason)
    {
        this.changeReason = changeReason;
    }

    public String getChangeReason()
    {
        return changeReason;
    }
    public void setChangeTime(Date changeTime)
    {
        this.changeTime = changeTime;
    }

    public Date getChangeTime()
    {
        return changeTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("changeAmount", getChangeAmount())
            .append("changeType", getChangeType())
            .append("changeReason", getChangeReason())
            .append("changeTime", getChangeTime())
            .append("realName", getRealName())
            .toString();
    }
}
